Name: H5Gset_comment
Signature:
  herr_t `H5Gset_comment`(hid_t `loc_id`, const char *`name`, const char *`comment` )
Purpose:
  Sets comment for specified object.
Description:
  `H5Gset_comment` sets the comment for the object specified by `loc_id` and `name` to `comment`. Any previously existing comment is overwritten.

  If `comment` is the empty string or a null pointer, the comment message is removed from the object.

  Comments should be relatively short, null-terminated, ASCII strings.

  Comments can be attached to any object that has an object header, e.g., datasets, groups, named datatypes, and dataspaces, but not symbolic links.

Parameters:

hid_t `loc_id` | IN: Identifier of the file, group, dataset, or named datatype.
const char *`name` | IN: Name of the object whose comment is to be set or reset. `name` can be '.' (dot) if `loc_id` fully specifies the object for which the comment is to be set. `name` is ignored if `loc_id` is a dataset or named datatype.
const char *`comment` | IN: The new comment.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5gset_comment_f

      SUBROUTINE h5gset_comment_f(loc_id, name, comment, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id      ! File, group, dataset, or
                                                  ! named datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: name      ! Name of object
        CHARACTER(LEN=*), INTENT(IN) :: comment   ! Comment for the object
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5gset_comment_f